package com.ruoyi.asset.domain.dto;

import com.ruoyi.asset.domain.TbAsset;
import com.ruoyi.asset.domain.TbFaultReport;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class TbFaultReportDTO extends TbFaultReport {
    private TbAsset tbAsset;

    public TbAsset getTbAsset() {
        return tbAsset;
    }

    public void setTbAsset(TbAsset tbAsset) {
        this.tbAsset = tbAsset;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("tbAsset", getTbAsset())
                .toString();
    }
}
